
.container {
    display: flex;
    flex-direction: column; /* 子元素垂直排列 */
    height: 100%; /* 容器高度占满视口 */
    margin: 0 auto;
}

.header {
    height: 280px; /* 固定高度 */

    color: white;


    /* --- 新增/修改的代码 --- */
    width: 80%;       /* 1. 设置宽度为父容器的 80% */
    margin: 0 auto;   /* 2. 上下边距为0，左右边距自动（实现水平居中） */
    /* --------------------- */
}
.banner{
    height: 253px; /* 固定高度 */
}
.nav{
    height: 27px; /* 固定高度 */
    display: flex;
    justify-content: space-around;
    background-color: #4290f7;
}
.content {
    /*flex: 1; !* 关键属性：占据剩余所有空间 *!*/
    /*background-color: #f1c40f;*/
    padding: 20px;
    /*overflow-y: auto; !* 内容过多时，在内部滚动 *!*/
    /* --- 新增/修改的代码 --- */
    width: 80%;       /* 1. 设置宽度为父容器的 80% */
    margin: 0 auto;   /* 2. 上下边距为0，左右边距自动（实现水平居中） */
    /* --------------------- */
}

.footer {
    height: 60px; /* 固定高度 */
    background-color: silver;
    color: white;
    text-align: center;
    line-height: 60px; /* 用于垂直居中文字 */
    /* --- 新增/修改的代码 --- */
    width: 80%;       /* 1. 设置宽度为父容器的 80% */
    margin: 0 auto;   /* 2. 上下边距为0，左右边距自动（实现水平居中） */
    /* --------------------- */
}
.navbutton{
    height: 27px;
    line-height: 27px;
    margin-left: 10px;

}
.body1{
    margin-top: 20px;
    height: 300px;

    display: flex;
    justify-content: space-around;
}
.acont{
   height: 100%;
  width: 32%;

    margin-left: 10px;
}
.newstop{
    background-color: #4290f7;
    font-size: 20px;
    color: #FFFFFF;
    height: 30px;
    line-height: 30px;
}
.acont2{
    height: 100%;
    width: 48%;

    margin-left: 10px;
}
.acontl{
    width: 65%;

}
.acontr{
    width: 33%;

}
.navbutton:hover{

    color: black;
}
.titlep{
    height: 20px;
    margin-top: 3px;
    margin-left: 5px;
    line-height: 18px;
    font-size: 18px;
}
.newstitle{
    margin-top: 10px;
    text-align: center;
    font-size: 35px;
    font-family: 微软雅黑;

}
.newscontent{
margin-top: 20px;
  padding: 20px;
    border-radius: 3px;
    box-shadow: #c0c4cc 3px 3px 3px 3px;
}
.newsfoot{
    text-align: right;
    margin-top: 10px;
}
.titlep{
    margin: 15px 0 0 15px;
    width: 95%;
    height: 20px;
    line-height: 20px;
    font-size: 16px;
}